Name:           python-scipion-pyworkflow
Version:        3.10.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Simple workflow platform used in scientific applications, initially developed within the Scipion framework for image processing in Electron Microscopy.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/scipion-em/scipion-pyworkflow/
Source:         %{pypi_source scipion_pyworkflow}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'scipion-pyworkflow' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-scipion-pyworkflow
Summary:        %{summary}

%description -n python3-scipion-pyworkflow %_description


%prep
%autosetup -p1 -n scipion_pyworkflow-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-scipion-pyworkflow -f %{pyproject_files}


%changelog
%autochangelog